Subject: bug#23367: Bug

From: Bernhard Voelker <[email-masked]>
Date: Mon, 25 Apr 2016 10:56:58 +0200

tag 23367 notabug
close 23367
stop

On 04/25/2016 07:34 AM, Selva Kumar wrote:
> Hello Sir,
>
> May I know how to debug  ls related commands?

You failed to mention what exactly you want to achieve, or what
your problem currently is.  Therefore, I can only give rather
general advices.

E.g. if strange file names, i.e., those with newlines, starting with
a hyphen "-", or shell wildcards etc., are causing problems, then
I'd simply put echo infront of the command to see what's really
executed:

   FILES="some str*ange -files"
   echo ls $FILES

To see how ls(1) is traversing the file system, you could use
tools like ltrace and strace.

Finally, to really debug the program, you have to fire up a debugger
like gdb.

As you didn't mention any problem in our programs, I'm marking this
as not a bug in our bug tracker, and close this issue.

> Regards,
> Selvakumar
> UNIX
> +91 20 4015 7043 (office)
> +91 88 888 59799 (mobile)
> +91 91 588 82389 (Oncall)
> +1 514 338 3378 option 1 (Oncall)
>
> AMDOCS | EMBRACE CHALLENGE EXPERIENCE SUCCESS
>
> Follow us on Amdocs.com<http://www.amdocs.com/>, Facebook<http://www.facebook.com/amdocsinc/>, Twitter<http://twitter.com/AmdocsInc>, LinkedIn<http://www.linkedin.com/company/amdocs>, YouTube<http://www.youtube.com/amdocsinc> and Google+<https://plus.google.com/105657940751678445194>(new!) - and read the latest on the Amdocs blog network<http://blogs.amdocs.com/>.
>
>
> This message and the information contained herein is proprietary and confidential and subject to the Amdocs policy statement,
> you may review at http://www.amdocs.com/email_disclaimer.asp

Your signature is offending common standards (e.g. no "-- " separator),
attaching a file just for a corporate image is completely unneccessary,
plus you cannot enforce a disclaimer on public mailing lists.

Have a nice day,
Berny